xine-lib: bitplane_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
bitplane_decoder_s Struct Reference

## Data Fields
video_decoder_t | video_decoder
xine_stream_t * | stream
uint64_t | video_step
int | decoder_ok
int | skipframes
int | framenumber
unsigned char * | buf
int | bufsize
int | size
int | size_uk
int | width
int | height
int | num_pixel
double | ratio
int | bytes_per_pixel
int | num_bitplanes
int | camg_mode
int | is_ham
unsigned char | yuv_palette [256 *4]
unsigned char | rgb_palette [256 *4]
yuv_planes_t | yuv_planes
yuv_planes_t | yuv_planes_hist
uint8_t * | buf_uk
uint8_t * | buf_uk_hist
uint8_t * | index_buf
uint8_t * | index_buf_hist

## Field Documentation

## ◆ buf

unsigned char* bitplane_decoder_s::buf

## ◆ buf_uk

uint8_t* bitplane_decoder_s::buf_uk

## ◆ buf_uk_hist

uint8_t* bitplane_decoder_s::buf_uk_hist

## ◆ bufsize

int bitplane_decoder_s::bufsize

## ◆ bytes_per_pixel

int bitplane_decoder_s::bytes_per_pixel

## ◆ camg_mode

int bitplane_decoder_s::camg_mode

## ◆ decoder_ok

int bitplane_decoder_s::decoder_ok

## ◆ framenumber

int bitplane_decoder_s::framenumber

## ◆ height

int bitplane_decoder_s::height

## ◆ index_buf

uint8_t* bitplane_decoder_s::index_buf

## ◆ index_buf_hist

uint8_t* bitplane_decoder_s::index_buf_hist

## ◆ is_ham

int bitplane_decoder_s::is_ham

## ◆ num_bitplanes

int bitplane_decoder_s::num_bitplanes

## ◆ num_pixel

int bitplane_decoder_s::num_pixel

## ◆ ratio

double bitplane_decoder_s::ratio

## ◆ rgb_palette

unsigned char bitplane_decoder_s::rgb_palette[256 *4]

## ◆ size

int bitplane_decoder_s::size

## ◆ size_uk

int bitplane_decoder_s::size_uk

## ◆ skipframes

int bitplane_decoder_s::skipframes

## ◆ stream

xine_stream_t* bitplane_decoder_s::stream

## ◆ video_decoder

video_decoder_t bitplane_decoder_s::video_decoder

## ◆ video_step

uint64_t bitplane_decoder_s::video_step

## ◆ width

int bitplane_decoder_s::width

## ◆ yuv_palette

unsigned char bitplane_decoder_s::yuv_palette[256 *4]

## ◆ yuv_planes

yuv_planes_t bitplane_decoder_s::yuv_planes

## ◆ yuv_planes_hist

yuv_planes_t bitplane_decoder_s::yuv_planes_hist

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/bitplane.c